<?php
// app/Core/Controller.php

class Controller {
    
    // Model Yükle
    public function model($model) {
        if (file_exists('../app/Models/' . $model . '.php')) {
            require_once '../app/Models/' . $model . '.php';
            return new $model();
        } else {
            die("Model bulunamadı: " . $model);
        }
    }

    // View (Görünüm) Yükle
    // $data dizisi ile view'a veri göndeririz
    // app/Core/Controller.php

    public function view($view, $data = []) {
        // Otomatik olarak ayarları çek ve tüm viewlara gönder
        require_once '../app/Models/Setting.php';
        $settingModel = new Setting();
        $globalSettings = $settingModel->getSettings(); // $globalSettings değişkeni artık her view'da var!

        if (file_exists('../app/Views/' . $view . '.php')) {
            extract($data);
            // globalSettings'i de view'a gönderiyoruz
            require_once '../app/Views/' . $view . '.php';
        } else {
            die("View bulunamadı: " . $view);
        }
    }
}